Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026094
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2014-03-26 19:002014-04-01 09:59
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision50e6ac75f3cd
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2013-12-05
Regression introduced in release
Regression introduced by commithttp://code.openbravo.com/erp/devel/pi/rev/57c9473091668e388e111da4f51caf7d777e83fa [^]
Triggers an Emergency PackNo
Summary

0026094: Build failed having the m_product_category.description column defined as identifier

DescriptionBuild failed having the m_product_category.description column defined as identifier
Steps To Reproduce-Define a template
-Go to tables and columns window
-find the m_product_category table-
-ON the columns tab find the description column
-check it as indevelopment.

*Execute a compile.complete and the process fails with this error

buildAD:
     [java] 0 [main] INFO org.openbravo.data.Sqlc - strFileProperties: /home/alostale/ws/pi-pg/openbravo/config/Openbravo.properties
     [java] 615 [main] INFO org.openbravo.data.Sqlc - javaDateFormat: dd-MM-yyyy
     [java] 633 [main] INFO org.openbravo.data.Sqlc - directory source: ../srcAD
     [java] 656 [main] INFO org.openbravo.data.Sqlc - directory destiny: /home/alostale/ws/pi-pg/openbravo/build/javasqlc/src
     [java] 682 [main] INFO org.openbravo.data.Sqlc - file termination: .xsql
     [java] 707 [main] INFO org.openbravo.data.Sqlc - file connection: /home/alostale/ws/pi-pg/openbravo/config/Openbravo.properties
     [java] 732 [main] INFO org.openbravo.data.Sqlc - Write TXT Files: false
     [java] 757 [main] INFO org.openbravo.data.Sqlc - QueryExecutionStrategy: traditional
     [java] 782 [main] INFO org.openbravo.data.Sqlc - Loading driver: org.postgresql.Driver
     [java] 807 [main] INFO org.openbravo.data.Sqlc - Driver loaded
     [java] 836 [main] INFO org.openbravo.data.Sqlc - connect made
     [java] 912 [main] INFO org.openbravo.data.Sqlc - File: ../srcAD/org/openbravo/erpWindows/ProductCategory/Accounting_data.xsql processed
     [java] 991 [main] ERROR org.openbravo.data.Sqlc - SQL error in query: SELECT (TO_CHAR(COALESCE(TO_CHAR((CASE WHEN tableTRL1.Name IS NULL THEN TO_CHAR(table1.Name) ELSE TO_CHAR(tableTRL1.Name) END)), '')) || ' - ' || TO_CHAR(COALESCE(TO_CHAR((CASE WHEN tableTRL1.Description IS NULL THEN TO_CHAR(table1.Description) ELSE TO_CHAR(tableTRL1.Description) END)), ''))) AS NAME FROM M_Product_Category left join (select M_Product_Category_ID, Name, Description from M_Product_Category) table1 on (M_Product_Category.M_Product_Category_ID = table1.M_Product_Category_ID) left join (select M_Product_Category_ID,AD_Language, Name from M_Product_Category_TRL) tableTRL1 on (table1.M_Product_Category_ID = tableTRL1.M_Product_Category_ID and tableTRL1.AD_Language = ?) left join (select M_Product_Category_ID,AD_Language, Description from M_Product_Category_TRL) tableTRL1 on (table1.M_Product_Category_ID = tableTRL1.M_Product_Category_ID and tableTRL1.AD_Language = ?) WHERE M_Product_Category.M_Product_Category_ID = ?
     [java]
     [java] org.postgresql.util.PSQLException: ERROR: table name "tabletrl1" specified more than once
     [java] at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2102)
     [java] at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1835)
     [java] at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:257)
     [java] at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:500)
     [java] at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:388)
     [java] at org.postgresql.jdbc2.AbstractJdbc2Statement.executeQuery(AbstractJdbc2Statement.java:273)
     [java] at org.openbravo.data.Sqlc.query(Sqlc.java:738)
     [java] at org.openbravo.data.Sqlc.endElement(Sqlc.java:558)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
     [java] at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
     [java] at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
     [java] at org.openbravo.data.Sqlc.parseSqlFile(Sqlc.java:355)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:279)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:258)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:258)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:258)
     [java] at org.openbravo.data.Sqlc.listDir(Sqlc.java:258)
     [java] at org.openbravo.data.Sqlc.main(Sqlc.java:204)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00252753.0MP31 closedalostale Add translation infrastructure for Product Categories and Promotions 

-  Notes
(0065488)
alostale (developer)
2014-03-27 08:23

Workaround: uncheck translation flag in m_product_category.description column
(0065489)
alostale (developer)
2014-03-27 08:27

Regression introduced in MP31
(0065515)
hgbot (developer)
2014-03-27 12:36

Repository: erp/devel/pi
Changeset: 50e6ac75f3cd1be5f0f63062689e8454e6787bc0
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 27 12:35:38 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/50e6ac75f3cd1be5f0f63062689e8454e6787bc0 [^]

fixed bug 26094: WAD support for multiple trl identifiers to the same entity

---
M src-wad/src/org/openbravo/wad/WadUtility.java
M src-wad/src/org/openbravo/wad/controls/WADControl.java
---
(0065516)
alostale (developer)
2014-03-27 12:37

After the patch checked generated wad code is identical for all cases but for translatable identifiers in which case trl table index increases where it was fixed.
(0065552)
hudsonbot (developer)
2014-03-28 04:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b405597cc692 [^]
Maturity status: Test
(0065649)
AugustoMauch (developer)
2014-04-01 09:59

Code reviewed and verified in pi@d0a8508115fc

- Issue History
Date Modified Username Field Change
2014-03-26 19:00 egoitz New Issue
2014-03-26 19:00 egoitz Assigned To => AugustoMauch
2014-03-26 19:00 egoitz Modules => Core
2014-03-26 19:00 egoitz Triggers an Emergency Pack => No
2014-03-26 19:00 egoitz Regression level => Production - Confirmed Stable
2014-03-27 08:14 alostale Steps to Reproduce Updated View Revisions
2014-03-27 08:23 alostale Note Added: 0065488
2014-03-27 08:24 alostale Assigned To AugustoMauch => alostale
2014-03-27 08:24 alostale Severity critical => minor
2014-03-27 08:26 alostale Relationship added related to 0025275
2014-03-27 08:27 alostale Regression date => 2013-12-05
2014-03-27 08:27 alostale Regression introduced by commit => http://code.openbravo.com/erp/devel/pi/rev/57c9473091668e388e111da4f51caf7d777e83fa [^]
2014-03-27 08:27 alostale Note Added: 0065489
2014-03-27 12:34 alostale Review Assigned To => AugustoMauch
2014-03-27 12:36 hgbot Checkin
2014-03-27 12:36 hgbot Note Added: 0065515
2014-03-27 12:36 hgbot Status new => resolved
2014-03-27 12:36 hgbot Resolution open => fixed
2014-03-27 12:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/50e6ac75f3cd1be5f0f63062689e8454e6787bc0 [^]
2014-03-27 12:37 alostale Note Added: 0065516
2014-03-28 04:44 hudsonbot Checkin
2014-03-28 04:44 hudsonbot Note Added: 0065552
2014-04-01 09:59 AugustoMauch Note Added: 0065649
2014-04-01 09:59 AugustoMauch Status resolved => closed
2014-04-01 09:59 AugustoMauch Fixed in Version => PR14Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker